.notification {
	position: fixed;
	top: 20px;
	right: 20px;
	z-index:10000001;
	width: 400px;
	transition: right;

	&.hidden {
		right: 5000px;
		transition: right;

	}

	@media #{$mobile} {
		top: 20px;
		right: 20px;
		width: calc(100% - 40px);
	}



	&__wrapper {
		box-shadow: 0 0 30px 0 rgba(183, 198, 208, 0.6);
		background-color: #ffffff;
		min-width: 250px;
		width: 100%;
		padding-bottom:15px;

		&.notification-type {
			&-success {
				border-left: 5px solid $statusGreen;
			}
			&-error {
				border-left: 5px solid $redDark;
			}
			&-warning {
				border-left: 5px solid $yellowDark;
			}
			&-message {
				border-left: 5px solid $blueColor;

			}
		}


		@media (min-width: 1099px) {
			max-width: 400px;
			border-radius: 5px;
		}


		&  .notification_title {
			box-sizing: border-box;

			display: flex;
			align-items: flex-start;

			width: 100%;
			&-icon {
				margin: 15px;
			}
			&-text {
				flex-grow: 1;
				font-size: 15px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.33;
				letter-spacing: 0.5px;
				color: $titleColor;
				margin-top: 15px;
			  	width: 210px;
			}
			&-close {
				cursor: pointer;
				z-index:100;
			}
		}

		& .notification_text {
			font-size: 15px;
			font-weight: 300;
			font-style: normal;
			font-stretch: normal;
			line-height: 1.33;
			letter-spacing: normal;
			color: #323c47;
			margin:15px 20px 0;
			padding: 15px;
			background: $headerBg;
		}

		& .notification_timer {
			margin: 0 20px;
			&-line {
				height: 1px;
				transition: all;
				transition-duration: 0.04s;
			}

		}

		& .notification_buttons {
			margin: 20px;

			& > div.button {
				transition-duration: 0.3s;


				background: #fff;
				font-size: 15px;
				font-weight: 500;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.33;
				letter-spacing: 0.5px;
				text-align: center;
				color: $titleColor;

				margin: 0;
				padding: 5px 20px;
				border-radius: 5px;
				border: solid 1px $border;
				text-transform: none;
				display: inline-block;

				&:hover {
					background-color: rgba(233, 239, 244, 0.5);
					transition-duration: 0.3s;
				}


				&.link {
					font-size: 15px;
					font-weight: 500;
					font-style: normal;
					font-stretch: normal;
					line-height: 1.67;
					letter-spacing: normal;
					color: $blueColor;

					border: none;
				}
			}
		}
	}
}
